package missionsnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически собирает золото
*/

// MissionsNet -- автоматически собирает золото
type MissionsNet struct {
	*sectionnet.SectionNet
}

// NewMissionsNet -- возвращает новый *MissionsNet
func NewMissionsNet(mission types.ИМиссии) (*MissionsNet, error) {
	sectionNet, err := sectionnet.NewSectionNet(mission, "https://wartank.ru/missions/")
	if err != nil {
		return nil, fmt.Errorf("NewMissionsNet(): in create *SectionNet, err=\n\t%w", err)
	}

	sf := &MissionsNet{
		SectionNet: sectionNet,
	}
	return sf, nil
}
